Subject: Re: [Cfrg] Ed448ctx -> was RE: draft-irtf-cfrg-eddsa -- one final proposal for domain separation (context labels) for ed25519

From: Simon Josefsson <[email-masked]>
Date: Fri, 06 May 2016 09:21:50 +0200

Paul Lambert <[email-masked]> writes:

>> > On Sat 2016-04-23 03:23:15 -0400, Simon Josefsson wrote:
>> >> Further, introducing this tweak late in the process appears unfortunate.
>> >> We are having serious trouble shipping documents people have been
>> >> waiting for as it is.  Redefining what they will get this late in the
>> >> process is harmful.
>> >
>> > My goal in raising this is not to delay the process further, but to at
>> > least clarify for future readers why the interfaces for Ed25519 and
>> > Ed448 differ by a "context" argument, and to give some form of
>> > implementation guidance to people who want to use that argument while
>> > being able to use both signature schemes.
>
> Making names clear is a good idea.
> Perhaps Ed448 should be renamed Ed448ctx

I like this idea -- there is confusion between the "old" Ed448 and
CFRG's modified Ed448 with contexts.  It is pretty mild since the old
Ed448 has not been widely deployed, but still.  If someone like to push
for this, I would support it.

/Simon